Patient Care Aggregator -- struggling to get the records upload to register receiving NHS numbers

Currently testing using the eva.patient-care-aggregator.com endpoint. The current issue is that sending in x number of NHSNumbers using even the curl example provided results in a 200 being returned from the request:

curl --location 'https://records.int.ptl.patient-care-aggregator.com/records/'
     --header 'Authorization: Bearer **********'
     --header 'Content-Type: application/json'
     --data '{
        "nhsNumbers": ["9000011981", "9000019532", "9000028841", "9000038014", "9000052904", "9000077869", "9000079969", "9000085586", "9000089018", "9000096197"],
        "clientId": "<client_id>"
     }'

, but the API registers no records as being sent over.

There is a chance I’m misunderstanding this. My understanding of the architecture is that we send over the NHS numbers we have “new” data for (inverted commas due to the testing environment).

The Patient Care Aggregator then requests the appointment list for each of the numbers from our API.

Is this the correct understanding? If so what am I doing wrong with my records upload?

Hi Jonty,

If you’re getting HTTP 200 from /records but nothing registers, it might be worth double checking the following:

  • Use POST https://records.int.ptl.patient-care-aggregator.com/records
    (no trailing slash)
  • The clientId in the JSON must be the PCA-issued client/system ID. * If you are unsure, ask the PCA onboarding team for the value mapped to your app/environment.
  • Your access token must be minted for INT-PTL and the JWT aud must match the INT token URL you used to get it.
  • Only INT synthetic NHS numbers are accepted.
  • PCA won’t schedule pulls unless your Get Appointments endpoint passed contract tests** and is mapped to your clientId in INT.

If this issue persists, please raise a ticket via : Customer Service Portal - Customer Support with details including:

  • Org / Supplier name
  • Your API Platform App name + Client ID (from the developer portal)
  • The PCA clientId used in the body of /records calls
  • Environment (INT/PTL vs Production)
  • Timestamps and correlation IDs from failing calls
  • Details of your Get Appointments endpoint URL

Thanks,

NHS England API Platform team

Please note: The API Platform team can only address queries relevant to the NHS England API platform, including security, rate limiting, logging, monitoring and alerting. For any API specific queries, please reach out the relevant API teams.